<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!--
	 Description : feuille de style pour les templates utilitaires utiliss dans la gnration d'une page standard XHTML (XML vers HTML)
	 Auteur : David ROUSSE, d.rousse@wanadoo.fr
	 Date derniere modification : 01/01/2004
	-->
	<xsl:template name="renderlogo">
		<xsl:param name="name"/>
		<xsl:param name="url"/>
		<xsl:param name="logo"/>
		<xsl:param name="width"/>
		<xsl:param name="height"/>
		<xsl:param name="align"/>
		<xsl:param name="root"/>
		<a href="{$url}">
			<xsl:if test="$width='' and $height=''">
				<xsl:if test="$align=''">
					<img alt="{$name}" class="logoImage" border="0" src="{$root}/{$logo}"/>
				</xsl:if>					
				<xsl:if test="not($align='')">
					<img alt="{$name}" class="logoImage" border="0" src="{$root}/{$logo}"  align="{$align}"/>
				</xsl:if>					
			</xsl:if>
			<xsl:if test="not($width='' and $height='')">
				<xsl:if test="$align=''">
					<img alt="{$name}" class="logoImage" border="0" src="{$root}/{$logo}" width="{$width}" height="{$height}"/>
				</xsl:if>					
				<xsl:if test="not($align='')">
					<img alt="{$name}" class="logoImage" border="0" src="{$root}/{$logo}" width="{$width}" height="{$height}" align="{$align}"/>
				</xsl:if>					
			</xsl:if>
		</a>
	</xsl:template>
	<xsl:template name="compliancy-logos">
		<xsl:if test="$config/disable-compliance-links = 'false'">
			<a href="http://validator.w3.org/check/referer">
				<img border="0" class="logoImage" src="{$skin-img-dir}/valid-html401.png" alt="Certifi HTML 4.01 !" height="31" width="88"/>
			</a>
			<a href="http://jigsaw.w3.org/css-validator/">
				<img border="0" class="logoImage" src="{$skin-img-dir}/vcss.png" alt="Certifi CSS !" height="31" width="88"/>
			</a>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
